Subject: Re: CVSImport - spaces in CVS path

From: David Aguilar <[email-masked]>
Date: Thu, 1 Dec 2016 01:59:33 -0800

On Wed, Nov 30, 2016 at 01:56:35PM -0700, Yojoa wrote:
> I'm in the process of moving an entire collection of cvs modules into git.
> I'm working in Mac Yosemite. Everything is working fine except for one
> thing. A couple of the CVS modules have spaces in the paths. Below is what
> my command line looks like. When the path has spaces I've tried putting it
> in single and double quotes and using escape characters.  None of that
> matters. I always get a message that it can't read dir/dir/path and then
> messages that it can't find the modules "with" or "spaces".  
> 
> git cvsimport -v -d :pserver:MYLOGIN:/usr/local/cvsroot/
> dir/dir/PathWithNoSpaces/dir    
> 
> git cvsimport -v -d :pserver:MYLOGIN:/usr/local/cvsroot/ dir/dir/path with
> spaces/dir

Try cvs-fast-export + cvsconvert.

http://www.catb.org/~esr/cvs-fast-export/

http://www.catb.org/~esr/cvs-fast-export/cvsconvert.html
-- 
David